summaryrefslogtreecommitdiff
path: root/tests/openpgp/armencryptp.test
diff options
context:
space:
mode:
Diffstat (limited to 'tests/openpgp/armencryptp.test')
-rwxr-xr-xtests/openpgp/armencryptp.test20
1 files changed, 20 insertions, 0 deletions
diff --git a/tests/openpgp/armencryptp.test b/tests/openpgp/armencryptp.test
new file mode 100755
index 0000000..9246b6d
--- /dev/null
+++ b/tests/openpgp/armencryptp.test
@@ -0,0 +1,20 @@
+#!/bin/sh
+# Copyright 1998,1999,2000,2001,2002,2003,2004,2005,2006,
+# 2007 Free Software Foundation, Inc.
+# This file is free software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved. This file is
+# distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY, to the extent permitted by law; without even the implied
+# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+
+. $srcdir/defs.inc || exit 3
+
+#info Checking armored encryption with a pipe
+for i in $plain_files $data_files ; do
+ $GPG --always-trust -ea --yes -r "$usrname2" < $i | tee x | $GPG -o y --yes
+ cmp $i y || error "$i: mismatch"
+ $GPG --yes < x > y
+ cmp $i y || error "$i: mismatch"
+done
+